1. 03. Card
Tevau-openApi
  • Get started
  • Signature instructions
  • Transaction description
  • FAQ
  • 01. User
    • 1.1 Create User
      POST
    • 1.2 Query User
      POST
  • 02. KYC
    • 2.1 V1 submits the customer's KYC information
      POST
    • 2.2 Get the URL
      POST
    • 2.3 Query liveness results
      POST
    • 2.4 Query KYC
      POST
    • 2.5 [Sandbox] Simulate KYC Review
      POST
    • 2.6 Create Document File
      POST
    • 2.7 Upload Document Files
      POST
    • 2.8 V2 Submit customer's KYC information
      POST
  • 03. Card
    • 3.1 Create Card
      POST
    • 3.2 Query Card List
      POST
    • 3.3 Adjust Card Balance
      POST
    • 3.4 Card Details
      POST
    • 3.5 Bind Card
      POST
    • 3.6 Close Card
      POST
    • 3.7 Freeze Card
      POST
    • 3.8 Unfreeze card
      POST
    • 3.9 Activate Card
      POST
    • 3.10 Card PAN
      POST
    • 3.11 Card PIN
      POST
    • 3.12 Card Limit
      POST
    • 3.13 Set Card Fee
      POST
    • 3.14 Query Card Fee
      POST
    • 3.15 3DS
      POST
    • 3.16 Update Phone
      POST
    • 3.17 Update Email
      POST
    • 3.19 Query the list of card tokens
      POST
    • 3.20 Activate the card with Google/Apple Token
      POST
    • 3.21 Card transaction limit
      POST
    • 3.22 Check card account transaction history
      POST
  • 04. Query logistics information
    • 4.1 Query Order
  • 05. Prefund
    • 5.1 Prefund Balance
    • 5.2 Query Bill Details
  • 06. Transaction
    • 6.1 Transaction History
    • 6.2 Transaction Details
  • 07. Simulated Trading
    • 7.1 Authorisation
    • 7.2 Clearing
    • 7.3 Refund
    • 7.4 Reversal
    • 7.5 3DS
    • 7.6 Simulate card status
  • 08. Webhook
    • 8.1 KYC Results
    • 8.2 Card Status
    • 8.3 Changes in card balance
    • 8.4 3DS
    • 8.5 Transaction
    • 8.6 Logistics status
    • 8.7 Token Notification
    • 8.9 Risk Control - Notification of Frozen Card Results
    • 8.10 Notification of failure to bind Google and Apple
    • 8.11 Notification of Fund Pool Top-up Arrival
  • Rests
    • [Sandbox] Edit WebHook-Url
    • JIT Authorized Transaction
  1. 03. Card

3.19 Query the list of card tokens

POST
/openapi/card/queryCardTokensList

Request

Header Params

Body Params application/jsonRequired

Example
{
  "cardId": "CIDV017540453343"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-test.tevaupay.com/openapi/card/queryCardTokensList' \
--header 'x-nexus-api-key;' \
--header 'versions: v1' \
--header 'appId;' \
--header 'timestamp;' \
--header 'nonce;' \
--header 'sign;' \
--header 'Content-Type: application/json' \
--data '{
  "cardId": "CIDV017540453343"
}'

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
    "code": 0,
    "msg": "SUCCESS",
    "data": [
        {
            "opaque_id": "01JA7D408YHDW777904DWVMKB0",
            "token_requestor_id": "40000000057",
            "token_reference_id": "DNITHE302415124947297025",
            "pan_reference_id": "V-3024151221021929591158",
            "pan_source": "KEY_ENTERED",
            "status": "ACTIVE",
            "client_wallet_account_id": "40000000057",
            "token_requestor": "APPLE_PAY",
            "token_type": "SECURE_ELEMENT",
            "truncated_token_account_number": "4111********1234"
        },
        {
            "opaque_id": "01JA7D408Y128V47WD8SY0R0PF",
            "token_requestor_id": "40010030273",
            "token_reference_id": "DNITHE302417931077929550",
            "pan_reference_id": "V-3024151221021929591158",
            "pan_source": "KEY_ENTERED",
            "status": "ACTIVE",
            "client_wallet_account_id": "933F30AC6A9A96294E9B7CBEC79B6FCC",
            "token_requestor": "GOOGLE_PAY",
            "token_type": "HCE",
            "truncated_token_account_number": "4111********1234"
        }
    ],
    "ok": true
}
Modified at 2026-07-01 12:42:29
Previous
3.17 Update Email
Next
3.20 Activate the card with Google/Apple Token
Built with